Bug 1298250 - libtevent: Provide a Python 3 subpackage
Summary: libtevent: Provide a Python 3 subpackage
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libtevent (Show other bugs)
(Show other bugs)
Version: 24
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Hrozek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-01-13 15:27 UTC by Petr Viktorin
Modified: 2016-04-25 07:23 UTC (History)
6 users (show)

Fixed In Version: libtevent-0.9.28-2.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-25 07:23:07 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Specfile patch (3.29 KB, patch)
2016-01-13 15:29 UTC, Petr Viktorin
no flags Details | Diff

Description Petr Viktorin 2016-01-13 15:27:33 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Petr Viktorin 2016-01-13 15:29 UTC
Created attachment 1114414 [details]
Specfile patch

Here is the specfile patch I would use.

Comment 2 Jan Kurik 2016-02-24 14:16:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 3 Petr Viktorin 2016-04-19 15:10:42 UTC
Hello Simo,
Do you need any help adding Python 3 support to the RPM?

Comment 4 Jakub Hrozek 2016-04-19 15:59:56 UTC
(In reply to Petr Viktorin from comment #3)
> Hello Simo,
> Do you need any help adding Python 3 support to the RPM?

I should probably take ownership of this..

Comment 5 Jakub Hrozek 2016-04-21 08:18:45 UTC
Hi Petr, sorry about the delay previously, this bug totally slipped through the cracks.

I applied your patch and built a scratch package:
http://koji.fedoraproject.org/koji/taskinfo?taskID=13743056

If you're OK with it, I will push the patch to rawhide and build the package.

Thank you for the patch!

Comment 6 Petr Viktorin 2016-04-22 17:48:15 UTC
That looks good! Could you push to Rawhide?

Comment 7 Jakub Hrozek 2016-04-25 07:23:07 UTC
Done.


Note You need to log in before you can comment on or make changes to this bug.